Index: /trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 3735)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 3736)
@@ -88,4 +88,5 @@
     <Compile Include="FileManager.cs" />
     <Compile Include="MenuItems\ClipboardMenuItem.cs" />
+    <Compile Include="MenuItems\AboutMenuItem.cs" />
     <Compile Include="MenuItems\CopyToClipboardMenuItem.cs" />
     <Compile Include="MenuItems\StartPageMenuItem.cs" />
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs	(revision 3736)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/AboutMenuItem.cs	(revision 3736)
@@ -0,0 +1,50 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.PluginInfrastructure.Starter;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  internal class AboutMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
+    private AboutDialog aboutDialog;
+
+    public override string Name {
+      get { return "&About"; }
+    }
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&Help" }; }
+    }
+    public override int Position {
+      get { return 4100; }
+    }
+
+    public override void Execute() {
+      if (aboutDialog == null)
+        aboutDialog = new AboutDialog();
+      aboutDialog.ShowDialog();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3735)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3736)
@@ -239,4 +239,10 @@
     <Compile Include="Resources.Designer.cs" />
     <Compile Include="Sandboxing\SandboxManager.cs" />
+    <Compile Include="Starter\AboutDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Starter\AboutDialog.Designer.cs">
+      <DependentUpon>AboutDialog.cs</DependentUpon>
+    </Compile>
     <Compile Include="Starter\SplashScreen.cs">
       <SubType>Form</SubType>
@@ -301,5 +307,7 @@
       <LastGenOutput>Resources1.Designer.cs</LastGenOutput>
     </EmbeddedResource>
-    <None Include="Resources\VS2008ImageLibrary_Actions_Delete.png" />
+    <EmbeddedResource Include="Starter\AboutDialog.resx">
+      <DependentUpon>AboutDialog.cs</DependentUpon>
+    </EmbeddedResource>
     <None Include="Resources\VS2008ImageLibrary_CommonElements_Actions_Remove.png" />
     <None Include="Resources\show_icons.png" />
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.Designer.cs	(revision 3736)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.Designer.cs	(revision 3736)
@@ -0,0 +1,310 @@
+﻿namespace HeuristicLab.PluginInfrastructure.Starter {
+  partial class AboutDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AboutDialog));
+      this.okButton = new System.Windows.Forms.Button();
+      this.pluginListView = new System.Windows.Forms.ListView();
+      this.pluginNameColumnHeader = new System.Windows.Forms.ColumnHeader();
+      this.pluginVersionColumnHeader = new System.Windows.Forms.ColumnHeader();
+      this.pluginDescriptionColumnHeader = new System.Windows.Forms.ColumnHeader();
+      this.imageList = new System.Windows.Forms.ImageList(this.components);
+      this.pictureBox = new System.Windows.Forms.PictureBox();
+      this.label = new System.Windows.Forms.Label();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.productTextBox = new System.Windows.Forms.TextBox();
+      this.versionTextBox = new System.Windows.Forms.TextBox();
+      this.copyrightTextBox = new System.Windows.Forms.TextBox();
+      this.pluginsGroupBox = new System.Windows.Forms.GroupBox();
+      this.externalLibrariesTextBox = new System.Windows.Forms.RichTextBox();
+      this.label2 = new System.Windows.Forms.Label();
+      this.urlTextBox = new System.Windows.Forms.RichTextBox();
+      this.panel1 = new System.Windows.Forms.Panel();
+      this.label4 = new System.Windows.Forms.Label();
+      this.richTextBox1 = new System.Windows.Forms.RichTextBox();
+      ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).BeginInit();
+      this.pluginsGroupBox.SuspendLayout();
+      this.panel1.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.Location = new System.Drawing.Point(538, 13);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 0;
+      this.okButton.Text = "Close";
+      this.okButton.UseVisualStyleBackColor = true;
+      this.okButton.Click += new System.EventHandler(this.okButton_Click);
+      // 
+      // pluginListView
+      // 
+      this.pluginListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.pluginListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.pluginNameColumnHeader,
+            this.pluginVersionColumnHeader,
+            this.pluginDescriptionColumnHeader});
+      this.pluginListView.Location = new System.Drawing.Point(6, 19);
+      this.pluginListView.Name = "pluginListView";
+      this.pluginListView.ShowGroups = false;
+      this.pluginListView.Size = new System.Drawing.Size(589, 159);
+      this.pluginListView.SmallImageList = this.imageList;
+      this.pluginListView.Sorting = System.Windows.Forms.SortOrder.Ascending;
+      this.pluginListView.TabIndex = 1;
+      this.pluginListView.UseCompatibleStateImageBehavior = false;
+      this.pluginListView.View = System.Windows.Forms.View.Details;
+      // 
+      // pluginNameColumnHeader
+      // 
+      this.pluginNameColumnHeader.Text = "Name";
+      // 
+      // pluginVersionColumnHeader
+      // 
+      this.pluginVersionColumnHeader.Text = "Version";
+      // 
+      // pluginDescriptionColumnHeader
+      // 
+      this.pluginDescriptionColumnHeader.Text = "Description";
+      // 
+      // imageList
+      // 
+      this.imageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
+      this.imageList.ImageSize = new System.Drawing.Size(16, 16);
+      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
+      // 
+      // pictureBox
+      // 
+      this.pictureBox.Location = new System.Drawing.Point(12, 12);
+      this.pictureBox.Name = "pictureBox";
+      this.pictureBox.Size = new System.Drawing.Size(165, 161);
+      this.pictureBox.TabIndex = 2;
+      this.pictureBox.TabStop = false;
+      // 
+      // label
+      // 
+      this.label.AutoSize = true;
+      this.label.Location = new System.Drawing.Point(183, 12);
+      this.label.Name = "label";
+      this.label.Size = new System.Drawing.Size(47, 13);
+      this.label.TabIndex = 3;
+      this.label.Text = "Product:";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(183, 31);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(45, 13);
+      this.label1.TabIndex = 4;
+      this.label1.Text = "Version:";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(183, 50);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(54, 13);
+      this.label3.TabIndex = 6;
+      this.label3.Text = "Copyright:";
+      // 
+      // productTextBox
+      // 
+      this.productTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.productTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.productTextBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.productTextBox.Location = new System.Drawing.Point(258, 12);
+      this.productTextBox.Name = "productTextBox";
+      this.productTextBox.ReadOnly = true;
+      this.productTextBox.Size = new System.Drawing.Size(355, 13);
+      this.productTextBox.TabIndex = 7;
+      this.productTextBox.Text = "HeuristicLab";
+      // 
+      // versionTextBox
+      // 
+      this.versionTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.versionTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.versionTextBox.Location = new System.Drawing.Point(258, 31);
+      this.versionTextBox.Name = "versionTextBox";
+      this.versionTextBox.ReadOnly = true;
+      this.versionTextBox.Size = new System.Drawing.Size(355, 13);
+      this.versionTextBox.TabIndex = 8;
+      this.versionTextBox.Text = "1.0";
+      // 
+      // copyrightTextBox
+      // 
+      this.copyrightTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.copyrightTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.copyrightTextBox.Location = new System.Drawing.Point(258, 50);
+      this.copyrightTextBox.Name = "copyrightTextBox";
+      this.copyrightTextBox.ReadOnly = true;
+      this.copyrightTextBox.Size = new System.Drawing.Size(355, 13);
+      this.copyrightTextBox.TabIndex = 9;
+      this.copyrightTextBox.Text = "(C)";
+      // 
+      // pluginsGroupBox
+      // 
+      this.pluginsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.pluginsGroupBox.Controls.Add(this.pluginListView);
+      this.pluginsGroupBox.Location = new System.Drawing.Point(12, 348);
+      this.pluginsGroupBox.Name = "pluginsGroupBox";
+      this.pluginsGroupBox.Size = new System.Drawing.Size(601, 184);
+      this.pluginsGroupBox.TabIndex = 10;
+      this.pluginsGroupBox.TabStop = false;
+      this.pluginsGroupBox.Text = "Plugins";
+      // 
+      // externalLibrariesTextBox
+      // 
+      this.externalLibrariesTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.externalLibrariesTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.externalLibrariesTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.externalLibrariesTextBox.Location = new System.Drawing.Point(186, 115);
+      this.externalLibrariesTextBox.Name = "externalLibrariesTextBox";
+      this.externalLibrariesTextBox.ReadOnly = true;
+      this.externalLibrariesTextBox.Size = new System.Drawing.Size(427, 227);
+      this.externalLibrariesTextBox.TabIndex = 11;
+      this.externalLibrariesTextBox.Text = resources.GetString("externalLibrariesTextBox.Text");
+      this.externalLibrariesTextBox.WordWrap = false;
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(183, 69);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(49, 13);
+      this.label2.TabIndex = 12;
+      this.label2.Text = "Website:";
+      // 
+      // urlTextBox
+      // 
+      this.urlTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.urlTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.urlTextBox.Location = new System.Drawing.Point(258, 69);
+      this.urlTextBox.Multiline = false;
+      this.urlTextBox.Name = "urlTextBox";
+      this.urlTextBox.ReadOnly = true;
+      this.urlTextBox.ScrollBars = System.Windows.Forms.RichTextBoxScrollBars.None;
+      this.urlTextBox.Size = new System.Drawing.Size(355, 13);
+      this.urlTextBox.TabIndex = 13;
+      this.urlTextBox.Text = "www.heuristiclab.com";
+      // 
+      // panel1
+      // 
+      this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.panel1.BackColor = System.Drawing.SystemColors.Control;
+      this.panel1.Controls.Add(this.okButton);
+      this.panel1.Location = new System.Drawing.Point(0, 538);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(626, 48);
+      this.panel1.TabIndex = 14;
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(183, 88);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(47, 13);
+      this.label4.TabIndex = 15;
+      this.label4.Text = "Contact:";
+      // 
+      // richTextBox1
+      // 
+      this.richTextBox1.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.richTextBox1.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.richTextBox1.Location = new System.Drawing.Point(258, 88);
+      this.richTextBox1.Multiline = false;
+      this.richTextBox1.Name = "richTextBox1";
+      this.richTextBox1.ReadOnly = true;
+      this.richTextBox1.ScrollBars = System.Windows.Forms.RichTextBoxScrollBars.None;
+      this.richTextBox1.Size = new System.Drawing.Size(355, 13);
+      this.richTextBox1.TabIndex = 16;
+      this.richTextBox1.Text = "developers@heuristiclab.com";
+      // 
+      // AboutDialog
+      // 
+      this.AcceptButton = this.okButton;
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.BackColor = System.Drawing.SystemColors.Window;
+      this.ClientSize = new System.Drawing.Size(625, 586);
+      this.Controls.Add(this.richTextBox1);
+      this.Controls.Add(this.label4);
+      this.Controls.Add(this.panel1);
+      this.Controls.Add(this.urlTextBox);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.externalLibrariesTextBox);
+      this.Controls.Add(this.pluginsGroupBox);
+      this.Controls.Add(this.copyrightTextBox);
+      this.Controls.Add(this.versionTextBox);
+      this.Controls.Add(this.productTextBox);
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.label);
+      this.Controls.Add(this.pictureBox);
+      this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "AboutDialog";
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "About HeuristicLab";
+      ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).EndInit();
+      this.pluginsGroupBox.ResumeLayout(false);
+      this.panel1.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button okButton;
+    private System.Windows.Forms.ListView pluginListView;
+    private System.Windows.Forms.ImageList imageList;
+    private System.Windows.Forms.ColumnHeader pluginNameColumnHeader;
+    private System.Windows.Forms.ColumnHeader pluginVersionColumnHeader;
+    private System.Windows.Forms.ColumnHeader pluginDescriptionColumnHeader;
+    private System.Windows.Forms.PictureBox pictureBox;
+    private System.Windows.Forms.Label label;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.TextBox productTextBox;
+    private System.Windows.Forms.TextBox versionTextBox;
+    private System.Windows.Forms.TextBox copyrightTextBox;
+    private System.Windows.Forms.GroupBox pluginsGroupBox;
+    private System.Windows.Forms.RichTextBox externalLibrariesTextBox;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.RichTextBox urlTextBox;
+    private System.Windows.Forms.Panel panel1;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.RichTextBox richTextBox1;
+  }
+}
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs	(revision 3736)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs	(revision 3736)
@@ -0,0 +1,79 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Reflection;
+using System.Diagnostics;
+using HeuristicLab.PluginInfrastructure.Advanced;
+
+namespace HeuristicLab.PluginInfrastructure.Starter {
+  /// <summary>
+  /// Shows product, version and copyright information for HeuristicLab and all plugins.
+  /// </summary>
+  public partial class AboutDialog : Form {
+    /// <summary>
+    /// Creates a new about dialog with all plugins loaded in the current application.
+    /// </summary>
+    public AboutDialog() {
+      InitializeComponent();
+      var curAssembly = this.GetType().Assembly;
+      productTextBox.Text = GetProduct(curAssembly);
+      versionTextBox.Text = GetVersion(curAssembly);
+      copyrightTextBox.Text = GetCopyright(curAssembly);
+      imageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
+      pictureBox.Image = HeuristicLab.PluginInfrastructure.Resources.Logo_white;
+      UpdatePluginList(ApplicationManager.Manager.Plugins);
+      ActiveControl = okButton;
+    }
+
+    /// <summary>
+    /// Creates a new about dialog listing all plugins in the <paramref name="plugins"/> enumerable.
+    /// </summary>
+    /// <param name="plugins">Enumerable of plugins that should be listed.</param>
+    public AboutDialog(IEnumerable<IPluginDescription> plugins) : this() {
+      UpdatePluginList(plugins);
+    }
+
+    private void UpdatePluginList(IEnumerable<IPluginDescription> plugins) {
+      pluginListView.Items.Clear();
+      foreach (var plugin in plugins) {
+        ListViewItem pluginItem = CreateListViewItem(plugin);
+        pluginListView.Items.Add(pluginItem);
+      }
+      Util.ResizeColumns(pluginListView.Columns.OfType<ColumnHeader>());
+    }
+
+    private ListViewItem CreateListViewItem(IPluginDescription plugin) {
+      ListViewItem item = new ListViewItem(new string[] { plugin.Name, plugin.Version.ToString(), plugin.Description });
+      item.ImageIndex = 0;
+      return item;
+    }
+
+    private string GetCopyright(Assembly asm) {
+      AssemblyCopyrightAttribute attribute = GetAttribute<AssemblyCopyrightAttribute>(asm);
+      return attribute.Copyright;
+    }
+
+    private string GetVersion(Assembly asm) {
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
+      return pluginInfrastructureVersion.FileVersion;
+    }
+
+    private string GetProduct(Assembly asm) {
+      AssemblyProductAttribute attribute = GetAttribute<AssemblyProductAttribute>(asm);
+      return attribute.Product;
+    }
+
+    private T GetAttribute<T>(Assembly asm) {
+      return (T)asm.GetCustomAttributes(typeof(T), false).Single();
+    }
+
+    private void okButton_Click(object sender, EventArgs e) {
+      Close();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.Designer.cs	(revision 3735)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.Designer.cs	(revision 3736)
@@ -59,4 +59,5 @@
       this.showLargeIconsButton = new System.Windows.Forms.RadioButton();
       this.showDetailsButton = new System.Windows.Forms.RadioButton();
+      this.aboutButton = new System.Windows.Forms.Button();
       this.SuspendLayout();
       // 
@@ -65,5 +66,5 @@
       this.startButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.startButton.Enabled = false;
-      this.startButton.Location = new System.Drawing.Point(579, 511);
+      this.startButton.Location = new System.Drawing.Point(498, 511);
       this.startButton.Name = "startButton";
       this.startButton.Size = new System.Drawing.Size(75, 23);
@@ -73,10 +74,4 @@
       this.startButton.UseVisualStyleBackColor = true;
       this.startButton.Click += new System.EventHandler(this.applicationsListView_ItemActivate);
-      // 
-      // largeImageList
-      // 
-      this.largeImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("largeImageList.ImageStream")));
-      this.largeImageList.TransparentColor = System.Drawing.Color.Transparent;
-      this.largeImageList.Images.SetKeyName(0, "HeuristicLab.ico");
       // 
       // applicationsListView
@@ -122,10 +117,4 @@
       this.descriptionColumnHeader.Width = 453;
       // 
-      // smallImageList
-      // 
-      this.smallImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("smallImageList.ImageStream")));
-      this.smallImageList.TransparentColor = System.Drawing.Color.Transparent;
-      this.smallImageList.Images.SetKeyName(0, "HeuristicLab.ico");
-      // 
       // showLargeIconsButton
       // 
@@ -156,4 +145,15 @@
       this.showDetailsButton.Click += new System.EventHandler(this.detailsButton_Click);
       // 
+      // aboutButton
+      // 
+      this.aboutButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.aboutButton.Location = new System.Drawing.Point(579, 511);
+      this.aboutButton.Name = "aboutButton";
+      this.aboutButton.Size = new System.Drawing.Size(75, 23);
+      this.aboutButton.TabIndex = 4;
+      this.aboutButton.Text = "&About...";
+      this.aboutButton.UseVisualStyleBackColor = true;
+      this.aboutButton.Click += new System.EventHandler(this.aboutButton_Click);
+      // 
       // StarterForm
       // 
@@ -161,4 +161,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.ClientSize = new System.Drawing.Size(666, 546);
+      this.Controls.Add(this.aboutButton);
       this.Controls.Add(this.showDetailsButton);
       this.Controls.Add(this.showLargeIconsButton);
@@ -185,4 +186,5 @@
     private System.Windows.Forms.RadioButton showLargeIconsButton;
     private System.Windows.Forms.RadioButton showDetailsButton;
+    private System.Windows.Forms.Button aboutButton;
   }
 }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs	(revision 3735)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs	(revision 3736)
@@ -60,8 +60,7 @@
       pluginManager = new PluginManager(pluginPath);
       splashScreen = new SplashScreen(pluginManager, 1000);
-      splashScreen.Show(this,"Loading HeuristicLab...");
+      splashScreen.Show(this, "Loading HeuristicLab...");
 
       pluginManager.DiscoverAndCheckPlugins();
-
       UpdateApplicationsList();
     }
@@ -202,4 +201,9 @@
     }
 
+    private void aboutButton_Click(object sender, EventArgs e) {
+      List<IPluginDescription> plugins = new List<IPluginDescription>(pluginManager.Plugins.OfType<IPluginDescription>());
+      var dialog = new AboutDialog(plugins);
+      dialog.ShowDialog();
+    }
   }
 }
